Is Enterprise JavaBeans 1.0 still viable?

Richard Monson-Haefel

Several servers will avoid supporting EJB 1.1 until the new specification is finalized. Those that do support EJB 1.1 are in beta or were just released. This make EJB 1.0 servers attractive, especially those that have been around a while. For this reason, EJB 1.0 remains a viable choice for some EJB projects, but make sure you have a transition plan to upgrade to EJB 1.1 servers when necessary.

Forward compatibly (going from EJB 1.0 to EJB 1.1) is a problem with EJB 1.0 which is addressed in the FAQ entry Java:API:EJB:1.1: Does the new specification impact forward compatibility

Comment and Contribute

 

 

 

 

 


(Maximum characters: 1200). You have 1200 characters left.

 

 

About | Sitemap | Contact